Bug 855824 - vesa driver is not used in virtual machines
vesa driver is not used in virtual machines
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 06:25 EDT by Kamil Páral
Modified: 2014-02-05 07:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:09:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log (57.89 KB, text/plain)
2012-09-10 06:27 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-09-10 06:25:58 EDT
Description of problem:
If I boot Fedora 18 Alpha TC6 Live GNOME in "safe graphics" mode, it still uses a different driver, qxl in my case (running in VM).

Version-Release number of selected component (if applicable):
Fedora 18 Alpha TC6 Live GNOME
xorg-x11-server-common-1.12.99.904-1.20120808.fc18.i686
xorg-x11-xinit-1.3.2-6.fc18.i686
xorg-x11-utils-7.5-7.fc18.i686
xorg-x11-drv-vesa-2.3.2-2.fc18.i686
xorg-x11-drv-qxl-0.0.22-5.20120718gitde6620788.fc18.i686
xorg-x11-xauth-1.0.7-2.fc18.i686
xorg-x11-server-Xorg-1.12.99.904-1.20120808.fc18.i686
xorg-x11-server-utils-7.5-13.fc18.i686

I'll try to confirm also on bare metal soon.
Comment 1 Kamil Páral 2012-09-10 06:26:42 EDT
Proposing as F18 Alpha blocker:
" The boot menu for all installation images should include an entry which causes both installation and the installed system to use a generic, highly compatible video driver (such as 'vesa'). This mechanism should work correctly, launching the installer and attempting to use the generic driver "
https://fedoraproject.org/wiki/Fedora_18_Alpha_Release_Criteria
Comment 2 Kamil Páral 2012-09-10 06:27:11 EDT
Created attachment 611390 [details]
Xorg log
Comment 3 Kamil Páral 2012-09-10 06:54:29 EDT
I have tried this on bare metal (intel graphics) and it doesn't happen - vesa is used correctly. This might only influence VMs. (I'll try machines with amd/nvidia hardware as soon as I can).

The severity of this problem is therefore probably much lower (we might not care about VMs as much/at all?).
Comment 4 Adam Williamson 2012-09-10 12:51:41 EDT
Discussed at 2012-09-10 QA meeting, acting as a blocker review meeting. We believe what's happening here is this. The menu entry in question passes two parameters: "nomodeset xdriver=vesa". It seems the 'xdriver=vesa' part of this isn't being honored. However, the 'nomodeset' part - which disables kernel modesetting - will result in the vesa driver being used in any case, on almost all hardware, as most X drivers no longer have userland modesetting code, so when kernel modesetting is disabled, X will not use the native driver and will fall back to vesa instead.

So even though there's a bug here, in practice the menu entry will have the intended effect on almost all real hardware, only KVMs are affected by it. Since it's easy enough to workaround this in a KVM case, it's rejected as a blocker.
Comment 5 Fedora End Of Life 2013-12-21 03:51:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 07:09:38 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.